@import '../../style/miam.scss';

.uploadfilecontainer {
  display: flex;
  position: relative;
  flex-direction: column;
  justify-content: center;
  height: 200px;
  width: 80%;
  min-width: 320px;
  margin: 20px auto;
  border: 2px dashed var(--miam-color-primary-light);
  border-radius: var(--m-border-radius);
  align-items: center;

  &.image-container{
    border: none;
    width: 320px;
  }
  
  figure{
    width: 100%;
    overflow: hidden;
    border-radius: var(--m-border-radius);
    margin: 0;
  }

  figure img{
    display:block; 
    width:100%;
    object-fit: cover;
 }
 

  .dropOverlay{
    position: absolute;
    background-color: transparent;
    transition: background-color .5s ease;
    top :0;
    left:0;
    right: 0;
    bottom: 0;
    z-index: 1;
  }

    p{
      transition:   opacity .2s ease ,transform .4s ease;
      font-weight: 700;
      opacity: 1;
      &.dragoverMode{
        opacity: 0;
        transform: translateY(-20px)
      }
    }

   input{
    display: none;
   }
   div{
    background: var(--m-color-primary);
    border-radius: 5px;
    transition:   border-radius .2s ease ,transform .4s ease;
    color:  #fff;
    padding: 15px 30px;
    font-size: 20px;

    &.dragoverMode{
      border-radius: 50%;
      padding: 21px 10px;
      transform: translateY(-20px)
    }
   }
}

.uploadfilecontainer:hover {
  cursor: pointer;
  background-color:  var(--miam-color-primary-light) !important;
  opacity: 0.8;
}
